<?php

class ComposantXslSelection extends ComposantXsl
{

    protected $liste;

    protected $is_multiple;

    public function getType()
    {
        return ComposantXSL::kSelection;
    }

    /**
     * Branchement de la liste des options : un exemple :
     * $array[] = array('!value' => $element['CODE_PAYS'],'!texte' => $element['LIBELLE']);
     * 
     * @param unknown $liste
     */
    public function setListeOptions(& $liste)
    {
        $this->liste = $liste;
    }

    public function setIsMultiple($is_multiple)
    {
        $this->is_multiple = $is_multiple;
    }

    public function &buildXml()
    {
        $array = $this->getArray();
        
        if (! is_null($this->liste))
            $array['liste'] = array(
                'option' => $this->liste
            );
        if (! is_null($this->is_multiple))
            $array['!is_multiple'] = $this->is_multiple;
        
        return $array;
    }
}
